#include <Servo.h> 
#include <Wire.h>
#include <LiquidCrystal_I2C.h>
#include "DHT.h"
#define DHTPIN 2 


int hum=8;
int ina=3;
int inb=5;
int termo=7;
int day=0;
unsigned long hour=0;
unsigned long eat=0;
Servo servo1;
LiquidCrystal_I2C lcd(0x3F,16,2);

DHT dht(DHTPIN, DHT11);

void setup(){ 
  servo1.attach(11);
  lcd.init();                     
  lcd.backlight();
  hour=millis();
  eat=millis();
  dht.begin();
  pinMode(termo,OUTPUT);
  pinMode(hum,OUTPUT);
    pinMode(ina,OUTPUT);
pinMode(inb,OUTPUT);
  Serial.begin(9600);
  
}  


void loop() 
{     
  analogWrite(ina,0);
analogWrite(inb,150);
   float h = dht.readHumidity();
   float t = dht.readTemperature();
   lcd.setCursor(0,0);     
  lcd.print("Humidity:  ");
   lcd.setCursor(12,0);
   lcd.print(h);
   lcd.setCursor(0,1);     
  lcd.print("Temperature:   ");
   lcd.setCursor(12,1);
   lcd.print(t);
   
   if(millis()-eat>86400000){
  servo1.write(0);
  delay(4000);
  servo1.write(90);
  eat=millis();
 }
if((millis() - hour) < 72000000){
  if(t>=30){
digitalWrite(termo,1);
}
if(t<=25){
digitalWrite(termo,0);  
}
if(t<30 and t>25){
  digitalWrite(termo,0);
}
if(h>=50){
digitalWrite(hum,0);
  analogWrite(ina,0);
analogWrite(inb,250);
}
if(h<=40){
digitalWrite(hum,1);
  
}

}
if((millis() - hour) > 72000000 and (millis() - hour) < 86400000){
digitalWrite(termo,0);  
}
if((millis() - hour) > 86400000){
hour=millis();
}
}
